Bug 848139 - Review Request: maliit-framework - Input method framework
Review Request: maliit-framework - Input method framework
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Daniel Drake
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 848142
  Show dependency treegraph
 
Reported: 2012-08-14 14:13 EDT by Peter Robinson
Modified: 2012-09-27 10:56 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-09-27 10:56:00 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
dsd: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Peter Robinson 2012-08-14 14:13:26 EDT
spec: http://pbrobinson.fedorapeople.org/maliit-framework.spec
srpm: http://pbrobinson.fedorapeople.org/maliit-framework-0.92.4-1.fc17.src.rpm

%description
Maliit provides a flexible and cross-platform input method framework. It has a
plugin-based client-server architecture where applications act as clients and
communicate with the Maliit server via input context plugins. The communication
link currently uses D-Bus.

koji: http://koji.fedoraproject.org/koji/taskinfo?taskID=4390569
Comment 1 Daniel Drake 2012-09-21 17:33:05 EDT
rpmlint:

maliit-framework.src:118: W: macro-in-comment %postun
maliit-framework.src:127: W: macro-in-comment %postun
maliit-framework.i686: W: shared-lib-calls-exit /usr/lib/libmaliit-connection-0.80.so.0.1.0 exit@GLIBC_2.0
maliit-framework.i686: E: incorrect-fsf-address /usr/share/doc/maliit-framework-0.92.4/LICENSE.LGPL
maliit-framework.i686: W: no-manual-page-for-binary maliit-server
maliit-framework-debuginfo.i686: W: hidden-file-or-dir /usr/src/debug/maliit-framework-0.92.4/maliit-plugins-quick/plugin-factory/.moc
maliit-framework-debuginfo.i686: W: hidden-file-or-dir /usr/src/debug/maliit-framework-0.92.4/maliit-plugins-quick/plugin-factory/.moc
maliit-framework-debuginfo.i686: W: hidden-file-or-dir /usr/src/debug/maliit-framework-0.92.4/examples/apps/widgetproperties/.moc
maliit-framework-debuginfo.i686: W: hidden-file-or-dir /usr/src/debug/maliit-framework-0.92.4/examples/apps/widgetproperties/.moc
maliit-framework-debuginfo.i686: W: hidden-file-or-dir /usr/src/debug/maliit-framework-0.92.4/tests/ut_maliit_settings/.moc
maliit-framework-debuginfo.i686: W: hidden-file-or-dir /usr/src/debug/maliit-framework-0.92.4/tests/ut_maliit_settings/.moc
maliit-framework-debuginfo.i686: W: hidden-file-or-dir /usr/src/debug/maliit-framework-0.92.4/maliit-plugins-quick/input-method/.moc
maliit-framework-debuginfo.i686: W: hidden-file-or-dir /usr/src/debug/maliit-framework-0.92.4/maliit-plugins-quick/input-method/.moc
maliit-framework-debuginfo.i686: W: hidden-file-or-dir /usr/src/debug/maliit-framework-0.92.4/tests/ut_mkeyoverride/.moc
maliit-framework-debuginfo.i686: W: hidden-file-or-dir /usr/src/debug/maliit-framework-0.92.4/tests/ut_mkeyoverride/.moc
maliit-framework-debuginfo.i686: W: hidden-file-or-dir /usr/src/debug/maliit-framework-0.92.4/tests/ut_minputcontextplugin/.moc
maliit-framework-debuginfo.i686: W: hidden-file-or-dir /usr/src/debug/maliit-framework-0.92.4/tests/ut_minputcontextplugin/.moc
maliit-framework-debuginfo.i686: W: hidden-file-or-dir /usr/src/debug/maliit-framework-0.92.4/tests/bbt_connection/.moc
maliit-framework-debuginfo.i686: W: hidden-file-or-dir /usr/src/debug/maliit-framework-0.92.4/tests/bbt_connection/.moc
maliit-framework-debuginfo.i686: W: hidden-file-or-dir /usr/src/debug/maliit-framework-0.92.4/tests/ut_mimapplication/.moc
maliit-framework-debuginfo.i686: W: hidden-file-or-dir /usr/src/debug/maliit-framework-0.92.4/tests/ut_mimapplication/.moc
maliit-framework-debuginfo.i686: W: hidden-file-or-dir /usr/src/debug/maliit-framework-0.92.4/examples/plugins/cxx/override/.moc
maliit-framework-debuginfo.i686: W: hidden-file-or-dir /usr/src/debug/maliit-framework-0.92.4/examples/plugins/cxx/override/.moc
maliit-framework-debuginfo.i686: W: hidden-file-or-dir /usr/src/debug/maliit-framework-0.92.4/tests/dummyimplugin2/.moc
maliit-framework-debuginfo.i686: W: hidden-file-or-dir /usr/src/debug/maliit-framework-0.92.4/tests/dummyimplugin2/.moc
maliit-framework-debuginfo.i686: W: hidden-file-or-dir /usr/src/debug/maliit-framework-0.92.4/tests/sanitychecks/.moc
maliit-framework-debuginfo.i686: W: hidden-file-or-dir /usr/src/debug/maliit-framework-0.92.4/tests/sanitychecks/.moc
maliit-framework-debuginfo.i686: W: hidden-file-or-dir /usr/src/debug/maliit-framework-0.92.4/tests/ut_selfcompositing/.moc
maliit-framework-debuginfo.i686: W: hidden-file-or-dir /usr/src/debug/maliit-framework-0.92.4/tests/ut_selfcompositing/.moc
maliit-framework-debuginfo.i686: W: hidden-file-or-dir /usr/src/debug/maliit-framework-0.92.4/examples/apps/twofields/.moc
maliit-framework-debuginfo.i686: W: hidden-file-or-dir /usr/src/debug/maliit-framework-0.92.4/examples/apps/twofields/.moc
maliit-framework-debuginfo.i686: W: hidden-file-or-dir /usr/src/debug/maliit-framework-0.92.4/tests/ut_passthroughserver/.moc
maliit-framework-debuginfo.i686: W: hidden-file-or-dir /usr/src/debug/maliit-framework-0.92.4/tests/ut_passthroughserver/.moc
maliit-framework-debuginfo.i686: W: hidden-file-or-dir /usr/src/debug/maliit-framework-0.92.4/tests/ut_mattributeextensionmanager/.moc
maliit-framework-debuginfo.i686: W: hidden-file-or-dir /usr/src/debug/maliit-framework-0.92.4/tests/ut_mattributeextensionmanager/.moc
maliit-framework-debuginfo.i686: W: hidden-file-or-dir /usr/src/debug/maliit-framework-0.92.4/tests/ft_exampleplugin/.moc
maliit-framework-debuginfo.i686: W: hidden-file-or-dir /usr/src/debug/maliit-framework-0.92.4/tests/ft_exampleplugin/.moc
maliit-framework-debuginfo.i686: W: hidden-file-or-dir /usr/src/debug/maliit-framework-0.92.4/tests/ut_minputmethodquickplugin/.moc
maliit-framework-debuginfo.i686: W: hidden-file-or-dir /usr/src/debug/maliit-framework-0.92.4/tests/ut_minputmethodquickplugin/.moc
maliit-framework-debuginfo.i686: W: hidden-file-or-dir /usr/src/debug/maliit-framework-0.92.4/examples/apps/plainqt/.moc
maliit-framework-debuginfo.i686: W: hidden-file-or-dir /usr/src/debug/maliit-framework-0.92.4/examples/apps/plainqt/.moc
maliit-framework-debuginfo.i686: W: hidden-file-or-dir /usr/src/debug/maliit-framework-0.92.4/tests/ut_maliit_attributeextensionregistry/.moc
maliit-framework-debuginfo.i686: W: hidden-file-or-dir /usr/src/debug/maliit-framework-0.92.4/tests/ut_maliit_attributeextensionregistry/.moc
maliit-framework-debuginfo.i686: W: hidden-file-or-dir /usr/src/debug/maliit-framework-0.92.4/tests/ut_maliit_inputmethod/.moc
maliit-framework-debuginfo.i686: W: hidden-file-or-dir /usr/src/debug/maliit-framework-0.92.4/tests/ut_maliit_inputmethod/.moc
maliit-framework-debuginfo.i686: W: hidden-file-or-dir /usr/src/debug/maliit-framework-0.92.4/maliit/.moc
maliit-framework-debuginfo.i686: W: hidden-file-or-dir /usr/src/debug/maliit-framework-0.92.4/maliit/.moc
maliit-framework-debuginfo.i686: W: hidden-file-or-dir /usr/src/debug/maliit-framework-0.92.4/tests/ut_mimserveroptions/.moc
maliit-framework-debuginfo.i686: W: hidden-file-or-dir /usr/src/debug/maliit-framework-0.92.4/tests/ut_mimserveroptions/.moc
maliit-framework-debuginfo.i686: W: hidden-file-or-dir /usr/src/debug/maliit-framework-0.92.4/tests/dummyplugin/.moc
maliit-framework-debuginfo.i686: W: hidden-file-or-dir /usr/src/debug/maliit-framework-0.92.4/tests/dummyplugin/.moc
maliit-framework-debuginfo.i686: W: hidden-file-or-dir /usr/src/debug/maliit-framework-0.92.4/examples/plugins/qml/cyclekeys/.moc
maliit-framework-debuginfo.i686: W: hidden-file-or-dir /usr/src/debug/maliit-framework-0.92.4/examples/plugins/qml/cyclekeys/.moc
maliit-framework-debuginfo.i686: W: hidden-file-or-dir /usr/src/debug/maliit-framework-0.92.4/tests/ut_mimpluginmanager/.moc
maliit-framework-debuginfo.i686: W: hidden-file-or-dir /usr/src/debug/maliit-framework-0.92.4/tests/ut_mimpluginmanager/.moc
maliit-framework-debuginfo.i686: W: hidden-file-or-dir /usr/src/debug/maliit-framework-0.92.4/input-context/maliit-input-context/.moc
maliit-framework-debuginfo.i686: W: hidden-file-or-dir /usr/src/debug/maliit-framework-0.92.4/input-context/maliit-input-context/.moc
maliit-framework-debuginfo.i686: W: hidden-file-or-dir /usr/src/debug/maliit-framework-0.92.4/tests/ut_mimsettings/.moc
maliit-framework-debuginfo.i686: W: hidden-file-or-dir /usr/src/debug/maliit-framework-0.92.4/tests/ut_mimsettings/.moc
maliit-framework-debuginfo.i686: W: hidden-file-or-dir /usr/src/debug/maliit-framework-0.92.4/tests/ut_maliit_attributeextension/.moc
maliit-framework-debuginfo.i686: W: hidden-file-or-dir /usr/src/debug/maliit-framework-0.92.4/tests/ut_maliit_attributeextension/.moc
maliit-framework-debuginfo.i686: W: hidden-file-or-dir /usr/src/debug/maliit-framework-0.92.4/examples/apps/allinputmethods/.moc
maliit-framework-debuginfo.i686: W: hidden-file-or-dir /usr/src/debug/maliit-framework-0.92.4/examples/apps/allinputmethods/.moc
maliit-framework-debuginfo.i686: W: hidden-file-or-dir /usr/src/debug/maliit-framework-0.92.4/tests/ut_minputcontext/.moc
maliit-framework-debuginfo.i686: W: hidden-file-or-dir /usr/src/debug/maliit-framework-0.92.4/tests/ut_minputcontext/.moc
maliit-framework-debuginfo.i686: W: hidden-file-or-dir /usr/src/debug/maliit-framework-0.92.4/tests/ut_mimrotationanimation/.moc
maliit-framework-debuginfo.i686: W: hidden-file-or-dir /usr/src/debug/maliit-framework-0.92.4/tests/ut_mimrotationanimation/.moc
maliit-framework-debuginfo.i686: W: hidden-file-or-dir /usr/src/debug/maliit-framework-0.92.4/maliit-settings/.moc
maliit-framework-debuginfo.i686: W: hidden-file-or-dir /usr/src/debug/maliit-framework-0.92.4/maliit-settings/.moc
maliit-framework-debuginfo.i686: W: hidden-file-or-dir /usr/src/debug/maliit-framework-0.92.4/src/.moc
maliit-framework-debuginfo.i686: W: hidden-file-or-dir /usr/src/debug/maliit-framework-0.92.4/src/.moc
maliit-framework-debuginfo.i686: W: hidden-file-or-dir /usr/src/debug/maliit-framework-0.92.4/tests/dummyimplugin/.moc
maliit-framework-debuginfo.i686: W: hidden-file-or-dir /usr/src/debug/maliit-framework-0.92.4/tests/dummyimplugin/.moc
maliit-framework-debuginfo.i686: W: hidden-file-or-dir /usr/src/debug/maliit-framework-0.92.4/input-context/direct-input-context-plugin/.moc
maliit-framework-debuginfo.i686: W: hidden-file-or-dir /usr/src/debug/maliit-framework-0.92.4/input-context/direct-input-context-plugin/.moc
maliit-framework-debuginfo.i686: W: hidden-file-or-dir /usr/src/debug/maliit-framework-0.92.4/connection/.moc
maliit-framework-debuginfo.i686: W: hidden-file-or-dir /usr/src/debug/maliit-framework-0.92.4/connection/.moc
maliit-framework-debuginfo.i686: W: hidden-file-or-dir /usr/src/debug/maliit-framework-0.92.4/examples/apps/settings/.moc
maliit-framework-debuginfo.i686: W: hidden-file-or-dir /usr/src/debug/maliit-framework-0.92.4/examples/apps/settings/.moc
maliit-framework-debuginfo.i686: W: hidden-file-or-dir /usr/src/debug/maliit-framework-0.92.4/tests/ft_mimpluginmanager/.moc
maliit-framework-debuginfo.i686: W: hidden-file-or-dir /usr/src/debug/maliit-framework-0.92.4/tests/ft_mimpluginmanager/.moc
maliit-framework-debuginfo.i686: W: hidden-file-or-dir /usr/src/debug/maliit-framework-0.92.4/examples/apps/embedded/.moc
maliit-framework-debuginfo.i686: W: hidden-file-or-dir /usr/src/debug/maliit-framework-0.92.4/examples/apps/embedded/.moc
maliit-framework-debuginfo.i686: W: hidden-file-or-dir /usr/src/debug/maliit-framework-0.92.4/examples/plugins/cxx/helloworld/.moc
maliit-framework-debuginfo.i686: W: hidden-file-or-dir /usr/src/debug/maliit-framework-0.92.4/examples/plugins/cxx/helloworld/.moc
maliit-framework-debuginfo.i686: W: hidden-file-or-dir /usr/src/debug/maliit-framework-0.92.4/input-context/input-context-plugin/.moc
maliit-framework-debuginfo.i686: W: hidden-file-or-dir /usr/src/debug/maliit-framework-0.92.4/input-context/input-context-plugin/.moc
maliit-framework-debuginfo.i686: W: hidden-file-or-dir /usr/src/debug/maliit-framework-0.92.4/tests/dummyimplugin3/.moc
maliit-framework-debuginfo.i686: W: hidden-file-or-dir /usr/src/debug/maliit-framework-0.92.4/tests/dummyimplugin3/.moc
maliit-framework-debuginfo.i686: W: hidden-file-or-dir /usr/src/debug/maliit-framework-0.92.4/examples/plugins/qml/override/.moc
maliit-framework-debuginfo.i686: W: hidden-file-or-dir /usr/src/debug/maliit-framework-0.92.4/examples/plugins/qml/override/.moc
maliit-framework-devel.i686: W: no-documentation
maliit-framework-devel.i686: W: no-manual-page-for-binary maliit-sdk
maliit-framework-examples.i686: W: no-documentation
maliit-framework-examples.i686: W: no-manual-page-for-binary maliit-exampleapp-widgetproperties
maliit-framework-examples.i686: W: no-manual-page-for-binary maliit-exampleapp-gtk3-python.py
maliit-framework-examples.i686: W: no-manual-page-for-binary maliit-exampleapp-allinputmethods
maliit-framework-examples.i686: W: no-manual-page-for-binary maliit-exampleapp-gtk2-overrides
maliit-framework-examples.i686: W: no-manual-page-for-binary maliit-exampleapp-embedded
maliit-framework-examples.i686: W: no-manual-page-for-binary maliit-exampleapp-settings
maliit-framework-examples.i686: W: no-manual-page-for-binary maliit-exampleapp-settings-python3.py
maliit-framework-examples.i686: W: no-manual-page-for-binary maliit-exampleapp-plainqt
maliit-framework-examples.i686: W: no-manual-page-for-binary maliit-example-embedded-server
maliit-framework-examples.i686: W: no-manual-page-for-binary maliit-exampleapp-gtk2
maliit-framework-examples.i686: W: no-manual-page-for-binary maliit-exampleapp-gtk3-overrides
maliit-framework-examples.i686: W: no-manual-page-for-binary maliit-exampleapp-gtk3
maliit-framework-examples.i686: W: no-manual-page-for-binary maliit-exampleapp-twofields
maliit-framework-gtk2.i686: W: no-documentation
maliit-framework-gtk3.i686: W: no-documentation
maliit-framework-qt4.i686: W: no-documentation
maliit-framework.spec:118: W: macro-in-comment %postun
maliit-framework.spec:127: W: macro-in-comment %postun
8 packages and 1 specfiles checked; 1 errors, 111 warnings.

The only thing that looks curious there is the macro-in-comment warnings. Unless you know that the warnings are harmless, maybe you can just delete the comments.

Licensing: I think LGPLv2 should be used, since the handful of source code files I checked don't specify "or any later version" that would merit the "+"

The rest of the review guidelines appear to be met.
Comment 2 Peter Robinson 2012-09-26 11:38:13 EDT
Will fix the comments above on commit. Thanks for the review

New Package GIT Request
=======================
Package Name: maliit-framework
Short Description: Input method framework
Owners: pbrobinson
Branches: F-18 F-17
InitialCC:
Comment 3 Gwyn Ciesla 2012-09-26 11:41:00 EDT
Git done (by process-git-requests).
Comment 4 Peter Robinson 2012-09-27 10:56:00 EDT
Imported and built in rawhide

Note You need to log in before you can comment on or make changes to this bug.